//
//  LinerGauge.h
//  HA7 logger mini
//  Copyright(C)2012 Toyohiko Togashi tog001@nifty.com
//
//
//  This program is free software; you can redistribute it and/or modify it under the terms of the
//  GNU General Public License as published by the Free Software Foundation; either version 3
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with this program.
//  If not, see <http://www.gnu.org/licenses/>
//
//
//    Update history
//    ---------- ----- -------------------------------------------
//    2012.02.08 v0.0  First cording
//    2012.02.12 v0.2  Commit
//

#import <Cocoa/Cocoa.h>

@interface LinerGauge : NSView {
	NSString *val_low;
	NSString *val_high;
	NSString *val_warning;
	NSString *val_critical;
	
	CGFloat val;
	CGFloat val_l;
	CGFloat val_h;
	CGFloat val_w;
	CGFloat val_c;	
	CGFloat val_peak1;
	CGFloat val_peak2;
}

- (IBAction)setValue:(id)sender;
- (IBAction)setIntValue:(int)sender;
- (IBAction)setFloatValue:(float)sender;
- (IBAction)setPeakValue:(id)sender;

@property (assign, nonatomic) NSString *val_low;
@property (assign, nonatomic) NSString *val_high;
@property (assign, nonatomic) NSString *val_warning;
@property (assign, nonatomic) NSString *val_critical;

@property (nonatomic) CGFloat val;
@property (nonatomic) CGFloat val_h;
@property (nonatomic) CGFloat val_l;
@property (nonatomic) CGFloat val_w;
@property (nonatomic) CGFloat val_c;
@property (nonatomic) CGFloat val_peak1;
@property (nonatomic) CGFloat val_peak2;

@end
